<div style="position: relative; width: 100%;" *ngIf="datepicker_input.page != 'disable' && 
  datepicker_input.page !== 'considerBoard' &&
  datepicker_input.page !== 'requestStartDateToDay' && announced === null
  ">
  <input [matDatepicker]="pickerEndDate" type="text" class="form-control form" [placeholder]="placeholder_input"
    [value]="endDate" (focus)="pickerEndDate.open()" (dateInput)="dateChangeEnd($event)"
    (dateChange)="dateChangeEnd($event)" [min]="minEndDate"
    [disabled]="datepicker_input.page == '3' && datepicker_input.dateData == null ? 'true' : 'false'" />

  <img src="assets/img/ShapeCalendar.png" class="img-datepicke" (click)="pickerEndDate.open()" />

  <mat-datepicker-toggle class="mat-toggle-custom" matSuffix [for]="pickerEndDate"></mat-datepicker-toggle>
  <mat-datepicker #pickerEndDate></mat-datepicker>
</div>

<div *ngIf="datepicker_input.page == 'disable' && datepicker_input.page !== 'considerBoard'">
  {{covertDate()}}
</div>

<div *ngIf="datepicker_input.page == 'considerBoard'">
  <input [matDatepicker]="pickerEndDate" type="text" class="form-control considerBoard"
    [placeholder]="placeholder_input" [value]="endDate" (focus)="pickerEndDate.open()"
    (dateInput)="dateChangeEnd($event)" (dateChange)="dateChangeEnd($event)" [min]="minEndDate"
    [disabled]="datepicker_input.page == null && datepicker_input.dateData == null ? 'true' : 'false'" />
  <img src="assets/img/ShapeCalendar.png" class="img-datepicke-consider" (click)="pickerEndDate.open()" />

  <mat-datepicker-toggle class="mat-toggle-custom" matSuffix [for]="pickerEndDate"></mat-datepicker-toggle>
  <mat-datepicker #pickerEndDate></mat-datepicker>
</div>


<!-- use in request start date -->
<div style="position: relative; width: 100%;" *ngIf="datepicker_input.page == 'requestStartDateToDay'">
  <input [matDatepicker]="pickerEndDate" type="text" class="form-control form" [placeholder]="placeholder_input"
    [value]="endDate" (focus)="pickerEndDate.open()" (dateInput)="dateChangeEnd($event)"
    (dateChange)="dateChangeEnd($event)" [min]="toDay"
    [disabled]="datepicker_input.page == '3' && datepicker_input.dateData == null ? 'true' : 'false'" />

  <img src="assets/img/ShapeCalendar.png" class="img-datepicke" (click)="pickerEndDate.open()" />

  <mat-datepicker-toggle class="mat-toggle-custom" matSuffix [for]="pickerEndDate"></mat-datepicker-toggle>
  <mat-datepicker #pickerEndDate></mat-datepicker>
</div>

<!-- Outstanding -->
<div style="position: relative; width: 100%;" *ngIf="datepicker_input.page === 'RiskProcessConsiders' || 
  datepicker_input.page === 'no-disable' ||
  datepicker_input.page === 'RiskExtraComment' || datepicker_input.page === 'ฝ่ายกำกับระเบียบและการปฏิบัติงาน' ||
  datepicker_input.page === 'ฝ่ายกำกับการปฎิบัติตามกฎเกณฑ์ 1' || datepicker_input.page === 'ฝ่ายกำกับการปฎิบัติตามกฎเกณฑ์ 2' ||
  datepicker_input.page === 'operation' || datepicker_input.page === 'finance' || datepicker_input.page === 'Retail' ||
  datepicker_input.page === 'Result'">

  <input [matDatepicker]="pickerEndDate" type="text" class="form-control form" [placeholder]="placeholder_input"
    [value]="endDate" (focus)="pickerEndDate.open()" (dateInput)="dateChangeEnd($event)"
    (dateChange)="dateChangeEnd($event)" [min]="minEndDate" [disabled]=" announced === true" />

  <img src=" assets/img/ShapeCalendar.png" class="img-datepicke" (click)="pickerEndDate.open()" />

  <mat-datepicker-toggle class="mat-toggle-custom" matSuffix [for]="pickerEndDate"></mat-datepicker-toggle>
  <mat-datepicker #pickerEndDate></mat-datepicker>
</div>